Skip to main content
POST
[Instance Domains] Attach a domain to an instance

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

instance_id
string<uuid>
required
organization_id
string<uuid>
required
project_id
string<uuid>
required

Body

application/json
domain_id
string<uuid>
required
profile
enum<string>
required
  • web - web
  • web_and_mail - web_and_mail
  • cloudron - cloudron
Available options:
web,
web_and_mail,
cloudron

Response

The domain is attached and its records are written

id
string<uuid>
required
read-only
domain_id
string<uuid>
required
read-only
domain_name
string
required
read-only
profile
string
required
read-only
reverse_dns_applied
boolean
required
read-only
created
string<date-time>
required
read-only
modified
string<date-time>
required
read-only